package com.cloudpos.jniinterface;

public class CustomerDisplayInterface {
    static {
        String fileName = "jni_cloudpos_customerdisplay";
        System.loadLibrary(fileName);
    }
    public static native int open();
    public static native boolean isOpened();
    public static native int writePng(int nHandle,
                                      int nXcoordinate, int nYcoordinate,
                                      int nWidth, int nHeight,
                                      byte[] pngData);
    
    public static native int ctrlDevs(int nHandle, int nCmd, int nValue);
    public static native int close(int nHandle);

}
